| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_VViewContainer Class Reference

`#include <AAX_VViewContainer.h>`

Inheritance diagram for AAX_VViewContainer:
[legend]
Collaboration diagram for AAX_VViewContainer:
[legend]

## Description

Version-managed concrete AAX_IViewContainer class.

## Public Member Functions
| AAX_VViewContainer (IACFUnknown *pUnknown)
| ~AAX_VViewContainer () AAX_OVERRIDE
int32_t | GetType () AAX_OVERRIDE
| Returns the raw view type as one of AAX_EViewContainer_Type.
void * | GetPtr () AAX_OVERRIDE
| Returns a pointer to the raw view.
AAX_Result | GetModifiers (uint32_t *outModifiers) AAX_OVERRIDE
| Queries the host for the current modifier keys.
AAX_Result | SetViewSize (AAX_Point &inSize) AAX_OVERRIDE
| Request a change to the main view size.
AAX_Result | HandleParameterMouseDown (AAX_CParamID inParamID, uint32_t inModifiers) AAX_OVERRIDE
| Alert the host to a mouse down event.
AAX_Result | HandleParameterMouseDrag (AAX_CParamID inParamID, uint32_t inModifiers) AAX_OVERRIDE
| Alert the host to a mouse drag event.
AAX_Result | HandleParameterMouseUp (AAX_CParamID inParamID, uint32_t inModifiers) AAX_OVERRIDE
| Alert the host to a mouse up event.
AAX_Result | HandleParameterMouseEnter (AAX_CParamID inParamID, uint32_t inModifiers) AAX_OVERRIDE
| Alert the host to a mouse enter event to the parameter's control.
AAX_Result | HandleParameterMouseExit (AAX_CParamID inParamID, uint32_t inModifiers) AAX_OVERRIDE
| Alert the host to a mouse exit event from the parameter's control.
AAX_Result | HandleMultipleParametersMouseDown (const AAX_CParamID *inParamIDs, uint32_t inNumOfParams, uint32_t inModifiers) AAX_OVERRIDE
| Alert the host to a mouse down event.
AAX_Result | HandleMultipleParametersMouseDrag (const AAX_CParamID *inParamIDs, uint32_t inNumOfParams, uint32_t inModifiers) AAX_OVERRIDE
| Alert the host to a mouse drag event.
AAX_Result | HandleMultipleParametersMouseUp (const AAX_CParamID *inParamIDs, uint32_t inNumOfParams, uint32_t inModifiers) AAX_OVERRIDE
| Alert the host to a mouse up event.
Public Member Functions inherited from AAX_IViewContainer
virtual | ~AAX_IViewContainer (void)

## Constructor & Destructor Documentation

## ◆ AAX_VViewContainer()

AAX_VViewContainer::AAX_VViewContainer | ( | IACFUnknown * | pUnknown | ) |

## ◆ ~AAX_VViewContainer()

AAX_VViewContainer::~AAX_VViewContainer | ( |  | ) |

## Member Function Documentation

## ◆ GetType()

int32_t AAX_VViewContainer::GetType | ( |  | ) |
| virtual

Returns the raw view type as one of AAX_EViewContainer_Type.

Implements AAX_IViewContainer.

## ◆ GetPtr()

void * AAX_VViewContainer::GetPtr | ( |  | ) |
| virtual

Returns a pointer to the raw view.

Implements AAX_IViewContainer.

## ◆ GetModifiers()

AAX_Result AAX_VViewContainer::GetModifiers | ( | uint32_t * | outModifiers | ) |
| virtual

Queries the host for the current modifier keys.

This method returns a bit mask with bits set for each of the currently active modifier keys. This method does not return the state of the AAX_eModifiers_SecondaryButton.

Host Compatibility Notes:
  Although this method allows plug-ins to acquire the current state of the Windows key (normally blocked by Pro Tools), plug-ins should not use key combinations that require this key.

Parameters

  [out] | outModifiers | Current modifiers as a bitmask of AAX_EModifiers

Implements AAX_IViewContainer.

## ◆ SetViewSize()

AAX_Result AAX_VViewContainer::SetViewSize | ( | AAX_Point & | inSize | ) |
| virtual

Request a change to the main view size.

Note
  - For compatibility with the smallest supported displays, plug-in GUI dimensions should not exceed 749x617 pixels, or 749x565 pixels for plug-ins with sidechain support.

Parameters

  [in] | inSize | The new size to which the plug-in view should be set

Implements AAX_IViewContainer.

## ◆ HandleParameterMouseDown()

AAX_Result AAX_VViewContainer::HandleParameterMouseDown | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| virtual

Alert the host to a mouse down event.

Parameters

  [in] | inParamID | ID of the parameter whose control is being edited
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Implements AAX_IViewContainer.

## ◆ HandleParameterMouseDrag()

AAX_Result AAX_VViewContainer::HandleParameterMouseDrag | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| virtual

Alert the host to a mouse drag event.

Warning
  The host may return AAX_ERROR_UNIMPLEMENTED for this event even if the host did handle the corresponding mouse down event. A plug-in should ignore any following mouse drag and mouse up events that correspond to a host-managed mouse down event. (PTSW-195209 / PT-218474)

Parameters

  [in] | inParamID | ID of the parameter whose control is being edited
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Implements AAX_IViewContainer.

## ◆ HandleParameterMouseUp()

AAX_Result AAX_VViewContainer::HandleParameterMouseUp | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| virtual

Alert the host to a mouse up event.

Warning
  The host may return AAX_ERROR_UNIMPLEMENTED for this event even if the host did handle the corresponding mouse down event. A plug-in should ignore any following mouse drag and mouse up events that correspond to a host-managed mouse down event. (PTSW-195209 / PT-218474)

Parameters

  [in] | inParamID | ID of the parameter whose control is being edited
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Implements AAX_IViewContainer.

## ◆ HandleParameterMouseEnter()

AAX_Result AAX_VViewContainer::HandleParameterMouseEnter | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| virtual

Alert the host to a mouse enter event to the parameter's control.

Parameters

  [in] | inParamID | ID of the parameter whose control is being entered
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Returns AAX_SUCCESS if event was processed successfully, otherwise an AAX_ERROR code

Implements AAX_IViewContainer.

## ◆ HandleParameterMouseExit()

AAX_Result AAX_VViewContainer::HandleParameterMouseExit | ( | AAX_CParamID | inParamID,
|  | uint32_t | inModifiers
| ) |  |
| virtual

Alert the host to a mouse exit event from the parameter's control.

Parameters

  [in] | inParamID | ID of the parameter whose control is being exited
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Returns AAX_SUCCESS if event was processed successfully, otherwise an AAX_ERROR code

Implements AAX_IViewContainer.

## ◆ HandleMultipleParametersMouseDown()

AAX_Result AAX_VViewContainer::HandleMultipleParametersMouseDown | ( | const AAX_CParamID * | inParamIDs,
|  | uint32_t | inNumOfParams,
|  | uint32_t | inModifiers
| ) |  |
| virtual

Alert the host to a mouse down event.

Parameters

  [in] | inParamIDs | IDs of the parameters that belong to the same GUI element whose controls are being edited
  [in] | inNumOfParams | Number of parameter IDS
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Implements AAX_IViewContainer.

## ◆ HandleMultipleParametersMouseDrag()

AAX_Result AAX_VViewContainer::HandleMultipleParametersMouseDrag | ( | const AAX_CParamID * | inParamIDs,
|  | uint32_t | inNumOfParams,
|  | uint32_t | inModifiers
| ) |  |
| virtual

Alert the host to a mouse drag event.

Warning
  The host may return AAX_ERROR_UNIMPLEMENTED for this event even if the host did handle the corresponding mouse down event. A plug-in should ignore any following mouse drag and mouse up events that correspond to a host-managed mouse down event. (PTSW-195209 / PT-218474)

Parameters

  [in] | inParamIDs | IDs of the parameters that belong to the same GUI element whose controls are being edited
  [in] | inNumOfParams | Number of parameter IDS
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Implements AAX_IViewContainer.

## ◆ HandleMultipleParametersMouseUp()

AAX_Result AAX_VViewContainer::HandleMultipleParametersMouseUp | ( | const AAX_CParamID * | inParamIDs,
|  | uint32_t | inNumOfParams,
|  | uint32_t | inModifiers
| ) |  |
| virtual

Alert the host to a mouse up event.

Warning
  The host may return AAX_ERROR_UNIMPLEMENTED for this event even if the host did handle the corresponding mouse down event. A plug-in should ignore any following mouse drag and mouse up events that correspond to a host-managed mouse down event. (PTSW-195209 / PT-218474)

Parameters

  [in] | inParamIDs | IDs of the parameters that belong to the same GUI element whose controls are being edited
  [in] | inNumOfParams | Number of parameter IDS
  [in] | inModifiers | A bitmask of AAX_EModifiers values

Implements AAX_IViewContainer.

The documentation for this class was generated from the following file:

- AAX_VViewContainer.h